data example11_2;
do drug=1 to 2;                
do dose=1 to 3;              
do rep=1 to 6;               
input y@@;
output;
end;
end;
end;
cards;
3	1	2	2	3	2
5	2	4	3	4	3
3	4	5	6	4	5
5	4	5	6	4	4
5	6	7	6	7	6
6	8	6	7	8	7
;
proc glm;
class drug dose;
model y=drug dose(drug)/e1;   
test h=drug e=dose(drug)/htype=1 etype=1;
random dose(drug)/test;
run;

